Bug 82861 - Installation: Something did not work correctly
Summary: Installation: Something did not work correctly
Status: RESOLVED NOTOURBUG
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Installation (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: Other Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords: possibleRegression
: 82806 82899 82965 (view as bug list)
Depends on:
Blocks:
 
Reported: 2014-08-20 10:59 UTC by Ian D. Samson
Modified: 2015-12-15 10:57 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ian D. Samson 2014-08-20 10:59:01 UTC
Problem description: 

E: libreoffice-base: dependency problems - leaving unconfigured
E: libreoffice-report-builder-bin: dependency problems - leaving unconfigured
E: libreoffice: dependency problems - leaving unconfigured


Steps to reproduce:
1. Synaptic Broken Dependencies
2. ....
3. ....

Current behavior: Above parts not working

 1:4.3.0-3ubuntu2~) and is installed.
  Version of libreoffice-base to be configured is 1:4.3.0-0ubuntu1~precise1.
dpkg: error processing libreoffice-base (--configure):
 dependency problems - leaving unconfigured
dpkg: dependency problems prevent configuration of libreoffice-report-builder-bin:
 libreoffice-report-builder-bin depends on libreoffice-base; however:
  Package libreoffice-base is not configured yet.
dpkg: error processing libreoffice-report-builder-bin (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 libreoffice
 libreoffice-base
 libreoffice-report-builder-bin



Expected behavior: Above parts should work

              
Operating System: Debian
Version: 4.3.0.4 release
Last worked in: 4.2.6.2 release
Comment 1 Julien Nabet 2014-08-20 11:10:35 UTC
According to the description , rather installation problem than Basic language (Macro, etc.) pb

However, I don't understand the title, at least don't see the relation with the description.
Could you explain?
Comment 2 Ian D. Samson 2014-08-20 11:25:30 UTC
Do I reply here? I'm not familiar with this program. Something is not
working right, just a variation using my humour. Obviously no one picked up
on it. According to the problem, as shown in the bug report. How do I alter
the subject line?



* Ian D. Samson <iansamson3@gmail.com>*
VHS2DVD <http://www.lp2cd.za.net/>
@DVDwizz <https://twitter.com/DVDwizz>

*FAX NUMBER: 086 229 3471*

------------------------------

*Confidentiality Notice*: This message, together with its attachments (if
any), contains strictly confidential information and is intended only for
the addressee(s) identified above ONLY; who is/are the sole party(ies)
authorised to use it and, assuming any related liability, and may *NOT *forward
it to others without written permission of the *this author.* Anyone
receiving this message by mistake or reading it without authorisation is
hereby notified that storage, reproduction, disclosure or distribution of
the message to persons other than the addressee(s) is strictly prohibited
by law. They are asked to return the message immediately to the sender (for
culpability under SA LAW, the Constitution of the Republic of South Africa,
and the Bill of RIGHTS under South African LAW) and to immediately,
permanently, and *irretrievably delete* the original message received.
Thank you




On 20 August 2014 13:10, <bugzilla-daemon@freedesktop.org> wrote:

>  Julien Nabet <serval2412@yahoo.fr> changed bug 82861
> <https://bugs.freedesktop.org/show_bug.cgi?id=82861>
>  What Removed Added  Status UNCONFIRMED NEEDINFO  CC   serval2412@yahoo.fr
> Component BASIC Installation  Ever confirmed   1
>
>  *Comment # 1 <https://bugs.freedesktop.org/show_bug.cgi?id=82861#c1> on
> bug 82861 <https://bugs.freedesktop.org/show_bug.cgi?id=82861> from Julien
> Nabet <serval2412@yahoo.fr> *
>
> According to the description , rather installation problem than Basic language
> (Macro, etc.) pb
>
> However, I don't understand the title, at least don't see the relation with the
> description.
> Could you explain?
>
>  ------------------------------
> You are receiving this mail because:
>
>    - You reported the bug.
>
>
Comment 3 Ian D. Samson 2014-08-20 11:29:34 UTC
Whenever I run Synaptic Package Manager, there are broken dependancies that it cannot fix, not even with a reinstall. Therefore I am downloading the entire 4.3.0 deb.tar.gz again and will install it manually from the terminal.
Comment 4 Julien Nabet 2014-08-20 11:36:52 UTC
I don't use Synaptics but use Debian testing on x86-64.

I just runned apt-get update && apt-get dist-upgrade (ok, I should use apt-get upgrade) these last days as usual and I've got now 4.3.0 (instead of 4.2.6)

For the test, could you try this:
apt-get check && apt-get update
?
Then try to install with command line.
Comment 5 Ian D. Samson 2014-08-20 12:00:08 UTC
Okay, MID-AIR COLLISION averted - removed entire package using "apt-get remove libre*" then did apt-get update && apt-get upgrade to ensure it wasn't downloading something it should not, it did not.

In the meanwhile, the download of LibreOffice 4.3.0.4 had completed, so I used tar -xvf on the .gz file to unzip, but had to use dpkg -i *.deb to install as the graphical version would not do it for me.

It was apt-get upgrade that made the mess of everything in the first place.

Pleased to report that everything is now working as it should.

Please close the bug report.
Thank you.
Comment 6 Julien Nabet 2014-08-20 12:05:59 UTC
Thank you for your feedback, I put it as WFM.
Comment 7 Ian D. Samson 2014-08-20 12:22:43 UTC
Resolved as per previous message. However, I ran apt-get upgrade and received this list of messages:

No diversion 'diversion of /usr/lib/libreoffice/share/basic/dialog.xlc to /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess by libreoffice-base', none removed.
No diversion 'diversion of /usr/lib/libreoffice/share/basic/script.xlc to /usr/lib/libreoffice/share/basic/script.xlc.noaccess by libreoffice-base', none removed.
/var/lib/dpkg/info/libreoffice-base.postrm: 31: /var/lib/dpkg/info/libreoffice-base.postrm: Syntax error: end of file unexpected (expecting "fi")
dpkg: error processing libreoffice-base (--remove):
 subprocess installed post-removal script returned error exit status 2
Errors were encountered while processing:
 libreoffice-base
E: Sub-process /usr/bin/dpkg returned an error code (1)

Does this mean the repository is buggy? Where's the problem, on my machine or with the repository?

I have three machines running LibreOffice 4.3.0.4 and I get similar errors on all 3 of them.
Comment 8 Julien Nabet 2014-08-20 12:48:16 UTC
Are you on Debian or on Ubuntu?
Could you copy paste the content of /etc/apt/sources.lst?
Comment 9 Ian D. Samson 2014-08-20 12:51:38 UTC
Julien, Lubuntu's LXLE is installed on my 3 machines. Here's the sources.list


# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://archive.ubuntu.com/ubuntu precise main restricted
deb-src http://archive.ubuntu.com/ubuntu precise main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://archive.ubuntu.com/ubuntu precise-updates main restricted
deb-src http://archive.ubuntu.com/ubuntu precise-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu precise universe
deb-src http://archive.ubuntu.com/ubuntu precise universe
deb http://archive.ubuntu.com/ubuntu precise-updates universe
deb-src http://archive.ubuntu.com/ubuntu precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu 
## team, and may not be under a free licence. Please satisfy yourself as to 
## your rights to use the software. Also, please note that software in 
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://archive.ubuntu.com/ubuntu precise multiverse
deb-src http://archive.ubuntu.com/ubuntu precise multiverse
deb http://archive.ubuntu.com/ubuntu precise-updates multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-backports main restricted universe multiverse

deb http://archive.ubuntu.com/ubuntu precise-security main restricted
deb-src http://archive.ubuntu.com/ubuntu precise-security main restricted
deb http://archive.ubuntu.com/ubuntu precise-security universe
deb-src http://archive.ubuntu.com/ubuntu precise-security universe
deb http://archive.ubuntu.com/ubuntu precise-security multiverse
deb-src http://archive.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu precise partner
# deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb http://archive.ubuntu.com/ubuntu precise-proposed restricted main multiverse universe
# deb-src http://extras.ubuntu.com/ubuntu precise main
deb http://ppa.launchpad.net/michael-gruz/canon-trunk/ubuntu precise main
deb-src http://ppa.launchpad.net/michael-gruz/canon-trunk/ubuntu precise main
Comment 10 Julien Nabet 2014-08-20 12:55:25 UTC
Bjoern/Rene: if it's a dependency problem on K/L/Ubuntu I daresay "NOTOURBUG", what do you think?
Comment 11 Björn Michaelsen 2014-08-20 13:43:08 UTC
Thats lp#1357700 which should now be fixed on both Ubuntu and Debian.
Comment 12 Ian D. Samson 2014-08-20 13:54:06 UTC
apt-get upgrade gives these errors:

Removing libreoffice-base ...
No diversion 'diversion of /usr/lib/libreoffice/share/basic/dialog.xlc to /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess by libreoffice-base', none removed.
No diversion 'diversion of /usr/lib/libreoffice/share/basic/script.xlc to /usr/lib/libreoffice/share/basic/script.xlc.noaccess by libreoffice-base', none removed.
/var/lib/dpkg/info/libreoffice-base.postrm: 31: /var/lib/dpkg/info/libreoffice-base.postrm: Syntax error: end of file unexpected (expecting "fi")
dpkg: error processing libreoffice-base (--remove):
 subprocess installed post-removal script returned error exit status 2
Errors were encountered while processing:
 libreoffice-base
E: Sub-process /usr/bin/dpkg returned an error code (1)
Comment 13 Björn Michaelsen 2014-08-20 13:58:45 UTC
(In reply to comment #12)
> apt-get upgrade gives these errors:
> 
> Removing libreoffice-base ...
> No diversion 'diversion of /usr/lib/libreoffice/share/basic/dialog.xlc to
> /usr/lib/libreoffice/share/basic/dialog.xlc.noaccess by libreoffice-base',
> none removed.
> No diversion 'diversion of /usr/lib/libreoffice/share/basic/script.xlc to
> /usr/lib/libreoffice/share/basic/script.xlc.noaccess by libreoffice-base',
> none removed.
> /var/lib/dpkg/info/libreoffice-base.postrm: 31:
> /var/lib/dpkg/info/libreoffice-base.postrm: Syntax error: end of file
> unexpected (expecting "fi")
> dpkg: error processing libreoffice-base (--remove):
>  subprocess installed post-removal script returned error exit status 2
> Errors were encountered while processing:
>  libreoffice-base
> E: Sub-process /usr/bin/dpkg returned an error code (1)

Thats a different issue: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1354557
https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1354557
Comment 14 Björn Michaelsen 2014-08-21 09:46:48 UTC
*** Bug 82806 has been marked as a duplicate of this bug. ***
Comment 15 Björn Michaelsen 2014-08-21 09:47:04 UTC
*** Bug 82899 has been marked as a duplicate of this bug. ***
Comment 16 Julien Nabet 2014-08-23 09:06:04 UTC
*** Bug 82965 has been marked as a duplicate of this bug. ***
Comment 17 Robinson Tryon (qubit) 2015-12-15 10:57:44 UTC
Migrating Whiteboard tags to Keywords: (possibleRegression)
[NinjaEdit]